Restofy Docs
Trabajos de impresión POST

Estado de la flota de impresión

POST /api/print-jobs/get-fleet-status

Descripción

Retorna las impresoras del restaurante con el estado de su estación y su actividad.

Detalles

Devuelve todas las impresoras agrupables por estación, con la última conexión de cada estación, cuántos trabajos tienen en cola y cuándo imprimieron por última vez. Es la vista de monitoreo del estado de la impresión en tiempo casi real.

Permisos requeridos

settings.module

Request

Este endpoint no recibe parámetros.

Ejemplo de request

curl -X POST https://restofy.pro/api/print-jobs/get-fleet-status \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <accessToken>" \
  -H "X-Tenant-Key: <tenantKey>"

Los valores son demo: reemplázalos por datos reales del negocio.

Ejemplo de respuesta

Actualizado: 2026-09-08T16:35:34Z
HTTP 200

Request

[]

Response

{
    "success": true,
    "message": "Operación realizada correctamente",
    "data": {
        "printers": [
            {
                "printerId": 1,
                "printerUuid": "252d92fd-f2b4-4f9c-95ce-0ec95d04c07c",
                "name": "Comandera adm 6aa03911e1d54",
                "deviceName": "POS-58",
                "printWidthMm": 80,
                "printColumns": 48,
                "isActive": 1,
                "stationUuid": "debcc17e-4e5c-4dcd-bc7e-57b4cb549f1b",
                "stationName": "Estacion adm 6aa03911a6f3d",
                "stationLastSeenAt": null,
                "pendingCount": 1,
                "lastPrintedAt": null
            },
            {
                "printerId": 2,
                "printerUuid": "ec0b2919-0f68-4f9f-908e-73e41a615690",
                "name": "Comandera adm 6aa03912dae8b",
                "deviceName": "POS-58",
                "printWidthMm": 80,
                "printColumns": 48,
                "isActive": 1,
                "stationUuid": "d822f702-c28c-41f1-8d7e-b20c506b0936",
                "stationName": "Estacion adm 6aa03912a8601",
                "stationLastSeenAt": null,
                "pendingCount": 1,
                "lastPrintedAt": null
            },
            {
                "printerId": 3,
                "printerUuid": "680709bc-5834-41cf-975c-1f3d43bd1c9f",
                "name": "Comandera adm 6aa03913cc267",
                "deviceName": "POS-58",
                "printWidthMm": 80,
                "printColumns": 48,
                "isActive": 1,
                "stationUuid": "abbc62ac-4e08-4184-aaa7-f6c2d29ed728",
                "stationName": "Estacion adm 6aa0391399ed2",
                "stationLastSeenAt": null,
                "pendingCount": 1,
                "lastPrintedAt": null
            },
            {
                "printerId": 4,
                "printerUuid": "15d1f7e7-4109-47f6-943e-65dc3828a0eb",
                "name": "Comandera adm 6aa03914b5f6c",
                "deviceName": "POS-58",
                "printWidthMm": 80,
                "printColumns": 48,
                "isActive": 1,
                "stationUuid": "41d4377d-5495-45a6-aa17-1c6d94765a34",
                "stationName": "Estacion adm 6aa03914846f5",
                "stationLastSeenAt": null,
                "pendingCount": 0,
                "lastPrintedAt": null
            },
            {
                "printerId": 5,
                "printerUuid": "41f66aae-fd93-489b-82ab-42ab7a2f93b9",
                "name": "Comandera adm 6aa03915a9fd1",
                "deviceName": "POS-58",
                "printWidthMm": 80,
                "printColumns": 48,
                "isActive": 1,
                "stationUuid": "36d43890-18dc-4f6f-9fff-42cafea0181a",
                "stationName": "Estacion adm 6aa039156f819",
                "stationLastSeenAt": null,
                "pendingCount": 1,
                "lastPrintedAt": null
            },
            {
                "printerId": 6,
                "printerUuid": "750c6313-095b-4d67-bcd5-c016b0880637",
                "name": "Comandera adm 6aa0391727cf9",
                "deviceName": "POS-58",
                "printWidthMm": 80,
                "printColumns": 48,
                "isActive": 1,
                "stationUuid": "5e94567e-37c8-40e3-a853-e6ea6163ae96",
                "stationName": "Estacion adm 6aa03916ecefb",
                "stationLastSeenAt": null,
                "pendingCount": 0,
                "lastPrintedAt": null
            }
        ]
    }
}